#initiation au bigdata
#lecture automatique de la température  partir d'une station météo

#importation des librairies
from urllib.request import urlopen
from bs4 import BeautifulSoup

#on ouvre la page web
page_html=urlopen('http://meteopetitefrance.fr/index.php?pg=tabjour')

#On lit la page web en entier avec tous les codes HTML
html=BeautifulSoup(page_html.read(),"html.parser")

#On extrait uniquement une donnée de la page web
#ici on va chercher la balise HTML <nobr>.
#On rappelle que cette balise évite un retour à la ligne automatique dans un nagigateur
#qui ajoute alors un ascenceur horizontal
#ici, on prend les 4 premiers caracteres qui suivent la 13eme valeur qui suit la balise <nobr>
#qui est la température

temperature=html.find_all('nobr')[12].get_text()[:4]
print('temperature='+temperature+'°C')
#On modifie la "," déparateur décimal par le "." pour pouvoir utiliser un nombre
temperature=temperature.replace(',','.')
#On convertit la chaine de caractère (temperature) en un nombre (temp)
temp=*float(temperature)
print(temp)